# Class OutputBin

java.lang.Object
javax.print.attribute.EnumSyntax
javax.print.attribute.standard.OutputBin

All Implemented Interfaces:
  `Serializable, Cloneable, Attribute, PrintJobAttribute, PrintRequestAttribute`

public sealed class OutputBin extends EnumSyntax implements PrintRequestAttribute, PrintJobAttribute
Class `OutputBin` is a printing attribute class, an enumeration, that specifies the output bin for the job.

Class `OutputBin` declares keywords for standard output bin kind values.

IPP Compatibility: This attribute is not an IPP 1.1 attribute; it is an attribute in the "output-bin" attribute extension ( PDF) of IPP 1.1. The category name returned by `getName()` is the IPP attribute name. The enumeration's integer value is the IPP enum value. The `toString()` method returns the IPP string representation of the attribute value.

Since:
  23
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final OutputBin`
`BOTTOM`
The bottom output bin in the printer.
`static final OutputBin`
`CENTER`
The center output bin in the printer.
`static final OutputBin`
`FACE_DOWN`
The face down output bin in the printer.
`static final OutputBin`
`FACE_UP`
The face up output bin in the printer.
`static final OutputBin`
`LARGE_CAPACITY`
The large-capacity output bin in the printer.
`static final OutputBin`
`LEFT`
The left output bin in the printer.
`static final OutputBin`
`MIDDLE`
The middle output bin in the printer.
`static final OutputBin`
`REAR`
The rear output bin in the printer.
`static final OutputBin`
`RIGHT`
The right output bin in the printer.
`static final OutputBin`
`SIDE`
The side output bin in the printer.
`static final OutputBin`
`TOP`
The top output bin in the printer.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`OutputBin(int value)`
Construct a new output bin enumeration value with the given integer value.

## Method Summary

Modifier and Type
Method
Description
`final Class<? extends Attribute>`
`getCategory()`
Get the printing attribute class which is to be used as the "category" for this printing attribute value.
`protected EnumSyntax[]`
`getEnumValueTable()`
Returns the enumeration value table for class `OutputBin`.
`final String`
`getName()`
Get the name of the category of which this attribute value is an instance.
`protected String[]`
`getStringTable()`
Returns the string table for class `OutputBin`.

### Methods declared in class EnumSyntax

`clone, getOffset, getValue, hashCode, readResolve, toString`

### Methods declared in class Object

`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### TOP

public static final OutputBin TOP
The top output bin in the printer.

### MIDDLE

public static final OutputBin MIDDLE
The middle output bin in the printer.

### BOTTOM

public static final OutputBin BOTTOM
The bottom output bin in the printer.

### SIDE

public static final OutputBin SIDE
The side output bin in the printer.

### LEFT

public static final OutputBin LEFT
The left output bin in the printer.

### RIGHT

public static final OutputBin RIGHT
The right output bin in the printer.

### CENTER

public static final OutputBin CENTER
The center output bin in the printer.

### REAR

public static final OutputBin REAR
The rear output bin in the printer.

### FACE_UP

public static final OutputBin FACE_UP
The face up output bin in the printer.

### FACE_DOWN

public static final OutputBin FACE_DOWN
The face down output bin in the printer.

### LARGE_CAPACITY

public static final OutputBin LARGE_CAPACITY
The large-capacity output bin in the printer.

## Constructor Details

### OutputBin

protected OutputBin(int value)
Construct a new output bin enumeration value with the given integer value.

Parameters:
  `value` - Integer value

## Method Details

### getStringTable

protected String[] getStringTable()
Returns the string table for class `OutputBin`.

Overrides:
  `getStringTable` in class `EnumSyntax`
Returns:
  the string table

### getEnumValueTable

protected EnumSyntax[] getEnumValueTable()
Returns the enumeration value table for class `OutputBin`.

Overrides:
  `getEnumValueTable` in class `EnumSyntax`
Returns:
  the value table

### getCategory

public final Class<? extends Attribute> getCategory()
Get the printing attribute class which is to be used as the "category" for this printing attribute value.

For class `OutputBin` and any vendor-defined subclasses, the category is class `OutputBin` itself.

Specified by:
  `getCategory` in interface `Attribute`
Returns:
  printing attribute class (category), an instance of class `java.lang.Class`

### getName

public final String getName()
Get the name of the category of which this attribute value is an instance.

For class `OutputBin` and any vendor-defined subclasses, the category name is `"output-bin"`.

Specified by:
  `getName` in interface `Attribute`
Returns:
  attribute category name